#[derive(Debug, Copy, Clone)]
pub enum MouseEvent {
	Click,
	Release,
	Enter,
	Leave,
	None,
}

impl MouseEvent {
	pub fn is_enter(&self) -> bool {
		match self {
			Self::Enter => true,
			_ => false,
		}
	}

	pub fn is_click(&self) -> bool {
		match self {
			Self::Click => true,
			_ => false,
		}
	}
}
