#[derive(Debug, Copy, Clone)]
pub(crate) enum UiScene {
	Landed,
	Flying,
	Outfitter,
}

impl ToString for UiScene {
	fn to_string(&self) -> String {
		match self {
			Self::Flying => "flying".to_string(),
			Self::Landed => "landed".to_string(),
			Self::Outfitter => "outfitter".to_string(),
		}
	}
}
